Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2b
Class B2BPortalPage

    java.lang.Object
      |
      +--examples.e2e.b2b.B2BPortalPage

public final class B2BPortalPage
extends java.lang.Object
implements java.io.Serializable

`B2BPortalPage` defines a closed set of static instances that represent the portal pages of the B2B portal.

See Also:
  Serialized Form

Field Summary
`static int` | `I_INVENTORY`
`static int` | `I_ORDER_HISTORY`
`static int` | `I_PURCHASING`
`static B2BPortalPage` | `INVENTORY`
`static B2BPortalPage` | `ORDER_HISTORY`
`static B2BPortalPage` | `PURCHASING`

Method Summary
`boolean` | `equals(java.lang.Object object)`
`int` | `getInt()` Returns the integer associated with this object.
`static B2BPortalPage` | `getObject(java.lang.String token)` Returns the object associated with the page name provided as input.
`java.lang.String` | `getString()` Return the string name associated with this page.
`int` | `hashCode()`
`java.lang.String` | `toString()` Return the string name associated with this page.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### I_INVENTORY

    public static final int I_INVENTORY

### INVENTORY

    public static final B2BPortalPage INVENTORY

### I_PURCHASING

    public static final int I_PURCHASING

### PURCHASING

    public static final B2BPortalPage PURCHASING

### I_ORDER_HISTORY

    public static final int I_ORDER_HISTORY

### ORDER_HISTORY

    public static final B2BPortalPage ORDER_HISTORY

Method Detail

### toString

    public java.lang.String toString()

  Return the string name associated with this page.

  Overrides:
    toString in class java.lang.Object

### getString

    public java.lang.String getString()

  Return the string name associated with this page.

### getInt

    public int getInt()

  Returns the integer associated with this object. The integer is guaranteed to be unique within this classes closed set of instances.

### getObject

    public static B2BPortalPage getObject(java.lang.String token)

  Returns the object associated with the page name provided as input. Null will be returned if no object is associated with the token supplied.

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved